Bug 627028 - Error Installing Package dbus
Error Installing Package dbus
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 17:44 EDT by John Reiser
Modified: 2012-04-11 11:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/anaconda.log at failure (20.40 KB, text/plain)
2010-08-24 17:44 EDT, John Reiser
no flags Details
/tmp/syslog (84.28 KB, text/plain)
2010-08-24 17:44 EDT, John Reiser
no flags Details
/mnt/sysimage/root/install.log (27.18 KB, text/plain)
2010-09-10 13:13 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2010-08-24 17:44:02 EDT
Created attachment 440781 [details]
/tmp/anaconda.log at failure

Description of problem: If the extra repo "Fedora 14-Alpha-i386" is enabled when installing from CD for Fedora 14 Alpha i386, then installation aborts with a graphical message box "Error Installing Package: A fatal error occurred when installing the dbus package.  This could indicate errors when reading the installation media.  Installation cannot continue.  [Exit installer]".  Installing without enabling that extra repo (thus using only the default CD repo) succeeds.  There is no other indication of error anywhere in any of the log files /tmp/*.


Version-Release number of selected component (if applicable): anaconda-14.15


How reproducible: Every time.  I ran 6 installs total: 3 failures when also checking the extra repo "Fedora 14-Alpha-i386" (thus using 2 repos total), 3 successes when using just the default "Installation Repo".  Two of each batch of three were done from physical CD-R (CD1 and CD2), one of each batch of three was done from a DVD+R burned from CD1.iso (thus costing a few cents more, but having a higher data rate, different transducer, and different physical placement of bits on the platter.)  All media checked OK, both on the drive after burning, and with MediaCheck at install.


Steps to Reproduce:
1. Boot from physical CD-R or DVD+R media of CD1 and CD2.
2. Enable repo "Fedora 14-Alpha-i386" when selecting Packages.
3.
  
Actual results:  Graphical message box "Error Installing Package: A fatal error occurred when installing the dbus package.  This could indicate errors when reading the installation media.  Installation cannot continue.  [Exit installer]".


Expected results: No abort.


Additional info: The package is dbus-1.3.2-0.1.885483.fc14.i686 (504KB) which did _not_ get updated by "yum update" after successful install.
Comment 1 John Reiser 2010-08-24 17:44:45 EDT
Created attachment 440783 [details]
/tmp/syslog
Comment 2 Chris Lumens 2010-09-10 10:27:43 EDT
That error does only occur in pretty limited cases:

            # Script errors store whether or not they're fatal in "total".  So,
            # we should only error out for fatal script errors or the cpio and
            # unpack problems.
            if what != rpm.RPMCALLBACK_SCRIPT_ERROR or total:
                self.messageWindow(_("Error Installing Package"),
                    _("A fatal error occurred when installing the %s "
                      "package.  This could indicate errors when reading "
                      "the installation media.  Installation cannot "
                      "continue.") % name,
                    type="custom", custom_icon="error",
                    custom_buttons=[_("_Exit installer")])
                sys.exit(1)

Scriptlet errors themselves should be in /mnt/sysimage/root/install.log.  Can you check there for anything suspicious?
Comment 3 John Reiser 2010-09-10 13:13:55 EDT
Created attachment 446566 [details]
/mnt/sysimage/root/install.log

install.log has 505 lines.
There are 193 warnings, all "%post(<pkgname>) scriptlet failed, exit status 127".
There is one error: %pre(dbus-1:1.3.2-0.1.885483.fc14.i686) scriptlet failed, exit status 127

The lines with "dbus" are:
-----
Installing dbus-libs-1.3.2-0.1.885483.fc14.i686
warning: %post(dbus-libs-1:1.3.2-0.1.885483.fc14.i686) scriptlet failed, exit status 127
Installing dbus-glib-0.86-4.fc14.i686
warning: %post(dbus-glib-0.86-4.fc14.i686) scriptlet failed, exit status 127
Installing dbus-c++-0.5.0-0.11.20090203git13281b3.fc13.i686
warning: %post(dbus-c++-0.5.0-0.11.20090203git13281b3.fc13.i686) scriptlet failed, exit status 127
Installing dbus-1.3.2-0.1.885483.fc14.i686
error: %pre(dbus-1:1.3.2-0.1.885483.fc14.i686) scriptlet failed, exit status 127
-----
Comment 4 John Reiser 2010-09-10 13:41:44 EDT
In contrast, when no extra repo is activated then /mnt/sysimage/root/install.log has only one scriptlet error:
warning: %post(plymouth-theme-charge-0.8.4-0.20100723.1.fc14.i686) scriptlet failed, exit status 1
Comment 5 Chris Lumens 2010-11-12 10:23:26 EST
The "Fedora 14-Alpha-i386" repo is just the Fedora repo from the mirror list.  "Installation Repo" is the local CD source.  If there were some mismatch between the two (think, different versions of a base library in each repo) then that could easily lead to some of these problems.

I'd love to be able to disable those kinds of repos on media installs, but we do not have the information to differentiate them from updates repos and the like.

Note You need to log in before you can comment on or make changes to this bug.